mediastreamer2 2.11.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Sound Card Manager API
Mediastreamer2's base APIs » Sound Card API - Manage audio capture/play filters

## Functions
MSSndCardManager * | ms_snd_card_manager_get (void)
void | ms_snd_card_manager_destroy (void)
MSSndCard * | ms_snd_card_manager_get_card (MSSndCardManager *m, const char *id)
MSSndCard * | ms_snd_card_manager_get_default_card (MSSndCardManager *m)
MSSndCard * | ms_snd_card_manager_get_default_capture_card (MSSndCardManager *m)
MSSndCard * | ms_snd_card_manager_get_default_playback_card (MSSndCardManager *m)
const MSList * | ms_snd_card_manager_get_list (MSSndCardManager *m)
void | ms_snd_card_manager_add_card (MSSndCardManager *m, MSSndCard *c)
void | ms_snd_card_manager_prepend_cards (MSSndCardManager *m, MSList *l)
void | ms_snd_card_manager_register_desc (MSSndCardManager *m, MSSndCardDesc *desc)
void | ms_snd_card_manager_reload (MSSndCardManager *m)

## Detailed Description

## Function Documentation

MSSndCardManager* ms_snd_card_manager_get | ( | void |  | ) |

Retreive a sound card manager object.

Returns: MSSndCardManager if successfull, NULL otherwise.

void ms_snd_card_manager_destroy | ( | void |  | ) |

Destroy a sound card manager object.

MSSndCard* ms_snd_card_manager_get_card | ( | MSSndCardManager * | m,
|  | const char * | id
| ) |  |

Retreive a sound card object based on its name.

Parameters

  m | A sound card manager containing sound cards.
  id | A name for card to search.

Returns: MSSndCard if successfull, NULL otherwise.

MSSndCard* ms_snd_card_manager_get_default_card | ( | MSSndCardManager * | m | ) |

Retreive the default sound card object.

Parameters

  m | A sound card manager containing sound cards.

Returns: MSSndCard if successfull, NULL otherwise.

<This sound card can capture sound

<This sound card can playback sound

MSSndCard* ms_snd_card_manager_get_default_capture_card | ( | MSSndCardManager * | m | ) |

Retreive the default capture sound card object.

Parameters

  m | A sound card manager containing sound cards.

Returns: MSSndCard if successfull, NULL otherwise.

<This sound card can capture sound

MSSndCard* ms_snd_card_manager_get_default_playback_card | ( | MSSndCardManager * | m | ) |

Retreive the default playback sound card object.

Parameters

  m | A sound card manager containing sound cards.

Returns: MSSndCard if successfull, NULL otherwise.

<This sound card can playback sound

const MSList* ms_snd_card_manager_get_list | ( | MSSndCardManager * | m | ) |

Retreive the list of sound card objects.

Parameters

  m | A sound card manager containing sound cards.

Returns: MSList of cards if successfull, NULL otherwise.

void ms_snd_card_manager_add_card | ( | MSSndCardManager * | m,
|  | MSSndCard * | c
| ) |  |

Add a sound card object in a sound card manager's list.

Parameters

  m | A sound card manager containing sound cards.
  c | A sound card object.

void ms_snd_card_manager_prepend_cards | ( | MSSndCardManager * | m,
|  | MSList * | l
| ) |  |

Prepend a list of sound card object to the sound card manager's list.

Parameters

  [in] | m | A sound card manager containing sound cards.
  [in] | l | A list of sound card objects to be prepended to the sound card manager's list.

void ms_snd_card_manager_register_desc | ( | MSSndCardManager * | m,
|  | MSSndCardDesc * | desc
| ) |  |

Register a sound card description in a sound card manager.

Parameters

  m | A sound card manager containing sound cards.
  desc | A sound card description object.

void ms_snd_card_manager_reload | ( | MSSndCardManager * | m | ) |

Ask all registered MSSndCardDesc to re-detect their soundcards.

Parameters

  m | The sound card manager.